Crypto asset screener
curl --request GET \
--url https://astreus.ai/api/v1/crypto \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/crypto"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/crypto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/crypto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/crypto"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/crypto")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/crypto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"vs": "USD",
"asOf": "2026-11-01",
"coins": [
{
"id": "bitcoin",
"symbol": "BTC",
"name": "Bitcoin",
"kind": "coin",
"imageUrl": "https://coin-images.coingecko.com/coins/images/1/large/bitcoin.png?1696501400",
"rank": 1,
"lastDate": "2026-11-01",
"last": 77474.07610954811,
"returns": {
"d1": 0.0032490906545998843,
"w1": -0.041287850368802004,
"m1": -0.07301197309288254,
"m3": 0.23326917984773687,
"m6": 0.015430262859876587,
"y1": -0.29290430268514545,
"y2": null,
"y5": null,
"y10": null
},
"marketCap": 1558254552295,
"volume24h": 43303303462,
"spark": [
110066.94174051796,
102286.82524827348
],
"stale": false
},
{
"id": "blackrock-usd-institutional-digital-liquidity-fund",
"symbol": "BUIDL",
"name": "BlackRock USD Institutional Digital Liquidity Fund",
"kind": "tokenized",
"imageUrl": "https://coin-images.coingecko.com/coins/images/36291/large/blackrock.png?1711013223",
"rank": 48,
"lastDate": "2026-11-01",
"last": 1,
"returns": {
"d1": 0,
"w1": 0,
"m1": 0,
"m3": 0,
"m6": 0,
"y1": 0,
"y2": null,
"y5": null,
"y10": null
},
"marketCap": 2024692361,
"volume24h": 0,
"spark": [
1,
0.9999999999999999
],
"stale": false
}
],
"historyFrom": "2025-10-28",
"source": {
"name": "CoinGecko",
"url": "https://www.coingecko.com",
"attribution": "Data provided by CoinGecko"
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Market Data
Crypto asset screener
Tracked crypto assets ranked by market cap, daily closes and returns, priced in the requested fiat currency. Preserve the returned CoinGecko attribution; these are daily reference observations, not executable quotes.
GET
/
api
/
v1
/
crypto
Crypto asset screener
curl --request GET \
--url https://astreus.ai/api/v1/crypto \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/crypto"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/crypto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://astreus.ai/api/v1/crypto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://astreus.ai/api/v1/crypto"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://astreus.ai/api/v1/crypto")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://astreus.ai/api/v1/crypto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"vs": "USD",
"asOf": "2026-11-01",
"coins": [
{
"id": "bitcoin",
"symbol": "BTC",
"name": "Bitcoin",
"kind": "coin",
"imageUrl": "https://coin-images.coingecko.com/coins/images/1/large/bitcoin.png?1696501400",
"rank": 1,
"lastDate": "2026-11-01",
"last": 77474.07610954811,
"returns": {
"d1": 0.0032490906545998843,
"w1": -0.041287850368802004,
"m1": -0.07301197309288254,
"m3": 0.23326917984773687,
"m6": 0.015430262859876587,
"y1": -0.29290430268514545,
"y2": null,
"y5": null,
"y10": null
},
"marketCap": 1558254552295,
"volume24h": 43303303462,
"spark": [
110066.94174051796,
102286.82524827348
],
"stale": false
},
{
"id": "blackrock-usd-institutional-digital-liquidity-fund",
"symbol": "BUIDL",
"name": "BlackRock USD Institutional Digital Liquidity Fund",
"kind": "tokenized",
"imageUrl": "https://coin-images.coingecko.com/coins/images/36291/large/blackrock.png?1711013223",
"rank": 48,
"lastDate": "2026-11-01",
"last": 1,
"returns": {
"d1": 0,
"w1": 0,
"m1": 0,
"m3": 0,
"m6": 0,
"y1": 0,
"y2": null,
"y5": null,
"y10": null
},
"marketCap": 2024692361,
"volume24h": 0,
"spark": [
1,
0.9999999999999999
],
"stale": false
}
],
"historyFrom": "2025-10-28",
"source": {
"name": "CoinGecko",
"url": "https://www.coingecko.com",
"attribution": "Data provided by CoinGecko"
}
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}{
"error": "<string>",
"code": "unknown_parameter",
"param": "<string>",
"allowed": [
"<string>"
]
}Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Query Parameters
Fiat ISO currency on the FX board.